List Stored Instruments

Lists all available stored instruments for a customer. This list will include all types of stored instruments namely card, account and bank_account instruments

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

customerIdintegerRequired
The ID of the customer.

Response

OK
stored_cardobject
Details about a stored card instrument which includes details around billing, last 4 digits, issuer, etc.
OR
stored_paypal_accountobject
A PayPal account stored instrument.
OR
stored_bank_accountobject
A stored bank account instrument.

Errors

401
Unauthorized Error
403
Forbidden Error